@charset "utf-8";

/* ローディング */

/* 通常は非表示 */
.loading {
  width: auto;
  position: fixed;
  inset: 0;
  background-color: #fffdf3;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;

  opacity: 0;
  visibility: hidden;
}

/* 外部リンク or リロード時だけ表示 */
.external-in .loading {
  opacity: 1;
  visibility: visible;
  animation: fadeOut 1.2s ease forwards;
}

/* fadeOutはそのまま使う */
@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  80% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    visibility: hidden;
  }
}
/* 
.loading {
  width: auto;
  position: fixed;
  inset: 0;
  background-color: #fffdf3;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  animation: fadeOut 3s ease forwards;
}

.loading-img {
  display: block;
  width: 500px;
  height: auto;
  margin-right: 30px;
  animation-name: rokuiti;
  animation-duration: 2.5s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
}

.loading-p {
  color: #fd9d92;
  font-size: 3rem;
} */

/* @keyframes rokuiti {
  0% {
    transform: rotate(-25deg);
  }

  50% {
    transform: rotate(25deg);
  }

  100% {
    transform: rotate(-25deg);
  }
} */

/* @keyframes fadeOut {
  0% {
    opacity: 2;
    visibility: visible;
  }
  100% {
    opacity: 0;
    visibility: hidden;
  }
} */

/* scrollここから*/
.slider {
  width: 950px;
  position: relative;
  margin: 0 auto;
  padding-top: 0px;
}

.slider-window {
  overflow: hidden;
}

.slider-track {
  display: flex;
  transition: transform 0.5s ease;
}

.slider-track li {
  width: 950px;
  flex-shrink: 0;
}

.slider-track img {
  width: 100%;
  height: auto;
  display: block;
}

/* ボタン */
.prev {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgb(0, 0, 0, 0.1);
  color: #fff;
  border: none;
  font-size: 2rem;
  font-weight: bold;
  padding: 5px 15px 5px 10px;
  cursor: pointer;
  left: -70px;
  z-index: 10;
  border-radius: 35px;
}

.next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgba(0, 0, 0, 0.1);
  color: #fff;
  border: none;
  font-size: 2rem;
  font-weight: bold;
  padding: 5px 10px 5px 15px;
  cursor: pointer;
  right: -70px;
  z-index: 10;
  border-radius: 35px;
}
/* scrollここまで */

main {
  width: 1200px;
  margin-left: auto;
  margin-right: auto;
}

#youto,
#kategori,
#kingaku {
  padding-top: 115px;
  margin-top: -115px;
}

#ranking {
  padding-bottom: 40px;
}

#ranking-title {
  display: flex;
  justify-content: center;
  height: 230px;
  padding-top: 40px;
  padding-bottom: 30px;
}
#ranking {
  position: relative;
  margin-bottom: 50px;
}
#rank-list {
  display: flex;
  justify-content: center;
  margin-left: -35px;
}
#rank-list img.rank-img {
  width: 300px;
  height: 300px;
  margin: 10px 30px 10px 30px;
}
.icon {
  position: absolute;
  top: 200px;
  left: 100px;
  width: 50px;
}
.icon2 {
  position: absolute;
  top: 200px;
  left: 440px;
  width: 50px;
}
.icon3 {
  position: absolute;
  top: 200px;
  left: 780px;
  width: 50px;
}
#rank-list li {
  width: 300px;
  height: 300px;
  margin: 0 20px 150px 20px;
}
#rank-list dl {
  margin-left: 30px;
  margin-bottom: 30px;
}
#rank-list dt {
  margin: 15px 2px 15px 2px;
  width: 300px;
}

#rank-list dd {
  margin: 15px 2px 15px 2px;
}

.osusume {
  position: relative;
  margin: 0 auto;
  width: 90%;
}

/* おすすめビューティーゾーン */

#osusume-B {
  background-color: #cfe9e7;
  height: 450px;
}

#osusume-B-logo {
  position: absolute;
  height: 137px;
  width: 300px;
  top: -11%;
  left: 1%;
}

#osusume-B-topgazou {
  position: absolute;
  max-width: 540px;
  top: -16%;
  left: 50%;
  width: 45%;
}

#osusume-B-text-1-1 {
  position: absolute;
  left: 5%;
  top: 21%;
  font-weight: bold;
  font-size: 2rem;
}

#osusume-B-text-1-2 {
  position: absolute;
  left: 15%;
  top: 30%;
  font-weight: bold;
  font-size: 2rem;
}

#osusume-B-text-2 {
  position: absolute;
  left: 4%;
  top: 45%;
  font-size: 19px;
  font-family: "BIZ UDPGothic", sans-serif;
  line-height: 23px;
}

.konojanruwotyekku-B {
  font-family: "Noto Sans JP", sans-serif;
  position: absolute;
  background-color: #85c8ee;
  color: #ffffff;
  display: inline-block;
  width: 400px;
  line-height: 36px;
  border-radius: 24px;
  font-size: 1.2rem;
  text-align: center;
  cursor: pointer;
  border: none;
  transition: background-color, transform;
  transition-duration: 1s;
  transition-timing-function: ease;
  top: 65%;
  left: 5%;
}

/* おすすめビューティーゾーン */

/* おすすめスイーツゾーン ここから*/

#osusume-S {
  background-color: #f5d0c0;
  height: 450px;
}

#osusume-S-logo {
  position: absolute;
  height: 137px;
  width: 300px;
  top: -11%;
  right: 1%;
}

#osusume-S-topgazou {
  position: absolute;
  max-width: 540px;
  top: -16%;
  right: 50%;
  width: 45%;
}

#osusume-S-text-1-1 {
  position: absolute;
  right: 2%;
  top: 21%;
  font-weight: bold;
  font-size: 2rem;
}

#osusume-S-text-1-2 {
  position: absolute;
  right: 0%;
  top: 30%;
  font-weight: bold;
  font-size: 2rem;
}

#osusume-S-text-2 {
  position: absolute;
  right:4%;
  top: 45%;
  font-size: 19px;
  font-family: "BIZ UDPGothic", sans-serif;
  line-height: 23px;
}

.konojanruwotyekku-S {
  position: absolute;
  background-color: #f2acac;
  color: #ffffff;
  display: inline-block;
  width: 400px;
  line-height: 36px;
  border-radius: 24px;
  font-family: "Noto Sans JP", sans-serif;
  font-size: 1.2rem;
  text-align: center;
  cursor: pointer;
  border: none;
  transition: background-color, transform;
  transition-duration: 1s;
  transition-timing-function: ease;
  top: 65%;
  right: 5%;
}

/* おすすめスイーツゾーンここまで */

/* おすすめライフスタイルゾーンここから */

#osusume-L {
  background-color: #b2d8a5;
  height: 500px;
}

#osusume-L-logo {
  position: absolute;
  height: 165px;
  width: 300px;
  top: -5%;
  left: 1%;
}

#osusume-L-topgazou {
  position: absolute;
  max-width: 540px;
  top: -20%;
  left: 50%;
  width: 45%;
}

#osusume-L-text-1-1 {
  position: absolute;
  left: 5%;
  top: 32%;
  font-weight: bold;
  font-size: 2rem;
}

#osusume-L-text-1-2 {
  position: absolute;
  left: 15%;
  top: 40%;
  font-weight: bold;
  font-size: 2rem;
}

#osusume-L-text-2 {
  position: absolute;
  left: 7%;
  top: 55%;
  font-size: 19px;
  font-family: "BIZ UDPGothic", sans-serif;
  line-height: 23px;
}

.konojanruwotyekku-L {
  position: absolute;
  background-color: #6bba68;
  color: #ffffff;
  display: inline-block;
  width: 400px;
  line-height: 36px;
  border-radius: 24px;
  font-family: "Noto Sans JP", sans-serif;
  font-size: 1.2rem;
  text-align: center;
  cursor: pointer;
  border: none;
  transition: background-color, transform;
  transition-duration: 1s;
  transition-timing-function: ease;
  top: 78%;
  left: 5%;
}

/* おすすめライフスタイルゾーンここまで */

#kategori- {
  position: relative;
  margin-top: 100px;
  margin-bottom: 25px;
}

#line1,
#line2,
#line3 {
  display: block;
  width: 400px;
  margin-bottom: 50px;
}

.kategori-list .line-center {
  display: flex;
  justify-content: center;
  padding-top: 10px;
  margin-bottom: -20px;
}

/* .kategori-list h2::first-letter {
  font-size: 150%;
} */

#kingaku-haikei,
#youto-haikei {
  background-color: #fff9f0;
  padding-top: 20px;
  margin-left: -100px;
  margin-right: -100px;
  padding-bottom: -20px;
}

#kategori-haikei {
  background-color: #fff;
  padding-top: 20px;
  margin-left: -100px;
  margin-right: -100px;
  padding-bottom: -20px;
}

.kategori-list h2 {
  display: flex;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10px;
  width: 90%;
  font-size: 2rem;
  justify-content: center;
  font-family: "Noto Sans JP", sans-serif;
}

.kategori-naiyou {
  padding-top: 20px;
  padding-bottom: 40px;
}

.kategori-naiyou-2 {
  display: flex;
  justify-content: center;
  height: 180px;
  margin-left: auto;
  margin-right: auto;
  margin-top: 0;
  margin-bottom: 0;
  vertical-align: top;
}

.kategori-naiyou-2 ul {
  padding-top: 20px;
}

.kategori-naiyou-2 li img {
  width: 260px;
  border: 1px solid #000;
  border-radius: 12px;
}

.kategori-naiyou,
.sns-naiyou {
  display: flex;
  justify-content: center;
}
.kategori-list li {
  margin: 60px 20px 30px 20px;
}
.kategori-naiyou li img {
  width: 350px;
  height: 175px;
  border: 1px solid #000;
  border-radius: 12px;
}
.sns-naiyou li img {
  width: 529px;
  height: 300px;
  min-width: 100%;
  border: 1px solid #000;
  border-radius: 12px;
}
